Scriptname ArcheryTargetXP extends ObjectReference  


;A script that allows the player to train their archery skill on the archery target in-game

;This script works by using keywords the vanilla game attaches to weapons and spells. Mods that add new bows without the keyword will make those items not train your skills

Keyword Property WeapTypeBow  Auto  

Actor Property Player  Auto  ;player properties are quick than game.getplayer


State Busy
EndState


Event OnHit(ObjectReference akAggressor, Form akSource, Projectile akProjectile, bool abPowerAttack, bool abSneakAttack, \
  bool abBashAttack, bool abHitBlocked)

GoToState("Busy")


;Checking if the player's weapon is a bow, and checking the distance they are from the target

if (akAggressor == Player) && (akSource.HasKeyword(WeapTypeBow)) && (Player.GetDistance(Self) < 130) && (Player.GetDistance(Self) >= 0)
;

elseif (akAggressor == Player) && (akSource.HasKeyword(WeapTypeBow)) && (Player.GetDistance(Self) < 512) && (Player.GetDistance(Self) >= 130)
       Debug.Notification(" ,      .")

elseif (akAggressor == Player) && (akSource.HasKeyword(WeapTypeBow)) && (Player.GetDistance(Self) < 1024) && (Player.GetDistance(Self) >= 512)
       Game.AdvanceSkill("Marksman", 3.0)

elseif (akAggressor == Player) && (akSource.HasKeyword(WeapTypeBow)) && (Player.GetDistance(Self) >= 1024) && (Player.GetDistance(Self) < 2048)
       Game.AdvanceSkill("Marksman", 4.0)

elseif (akAggressor == Player) && (akSource.HasKeyword(WeapTypeBow)) && (Player.GetDistance(Self) >= 2048)
       Game.AdvanceSkill("Marksman", 8.0)
           Debug.Notification(" !")

else
; Do Nothing

endif

GoToState("")

endevent


