Scriptname CombatDummyXP extends ObjectReference  

;A script that allows the player to train skills on an object, for this mod a practice dummy and archery target.

;This script works by using keywords the vanilla game attaches to weapons and spells. Mods that add new weapons or spells without keywords will make those items not train your skills

Keyword Property WeapTypeBow  Auto  
Keyword Property VendorItemArrow  Auto
Keyword Property WeapTypeSword  Auto 
Keyword Property WeapTypeGreatsword  Auto  
Keyword Property WeapTypeBattleaxe  Auto
Keyword Property WeapTypeBoundArrow  Auto  
Keyword Property WeapTypeDagger  Auto  
Keyword Property WeapTypeMace  Auto  
Keyword Property WeapTypeWarAxe  Auto  
Keyword Property WeapTypeWarhammer  Auto     

Keyword Property MagicDamageFire  Auto
Keyword Property MagicDamageFrost  Auto  
Keyword Property MagicDamageShock  Auto  

Actor Property Player  Auto  ;player properties are quick than game.getplayer


State Busy
EndState


Event OnHit(ObjectReference akAggressor, Form akSource, Projectile akProjectile, bool abPowerAttack, bool abSneakAttack, \
  bool abBashAttack, bool abHitBlocked)

GoToState("Busy")


;Checking if the player's weapon is a bow, and checking the distance they are from the target

if (akAggressor == Player) && (akSource.HasKeyword(WeapTypeBow)) && (Player.GetDistance(Self) < 130) && (Player.GetDistance(Self) >= 0)
;

elseif (akAggressor == Player) && (akSource.HasKeyword(WeapTypeBow)) && (Player.GetDistance(Self) < 512) && (Player.GetDistance(Self) >= 130)
       Debug.Notification(" ,     l.")

elseif (akAggressor == Player) && (akSource.HasKeyword(WeapTypeBow)) && (Player.GetDistance(Self) < 1024) && (Player.GetDistance(Self) >= 512)
       Game.AdvanceSkill("Marksman", 3.0)

elseif (akAggressor == Player) && (akSource.HasKeyword(WeapTypeBow)) && (Player.GetDistance(Self) >= 1024) && (Player.GetDistance(Self) < 2048)
       Game.AdvanceSkill("Marksman", 4.0)

elseif (akAggressor == Player) && (akSource.HasKeyword(WeapTypeBow)) && (Player.GetDistance(Self) >= 2048)
       Game.AdvanceSkill("Marksman", 8.0)
           Debug.Notification(" !")


elseif akAggressor == Player && akSource.HasKeyword(WeapTypeSword)
          Game.AdvanceSkill("OneHanded", 3.0)


elseif akAggressor == Player && akSource.HasKeyword(WeapTypeWarAxe)
          Game.AdvanceSkill("OneHanded", 3.0)


elseif akAggressor == Player && akSource.HasKeyword(WeapTypeDagger)
           Game.AdvanceSkill("OneHanded", 3.0)


elseif akAggressor == Player && akSource.HasKeyword(WeapTypeGreatsword)
           Game.AdvanceSkill("TwoHanded", 3.0)


elseif akAggressor == Player && akSource.HasKeyword(WeapTypeBattleaxe)
          Game.AdvanceSkill("TwoHanded", 3.0)


elseif akAggressor == Player && akSource.HasKeyword(WeapTypeMace)
           Game.AdvanceSkill("OneHanded", 3.0)


elseif akAggressor == Player && akSource.HasKeyword(WeapTypeWarhammer)
           Game.AdvanceSkill("TwoHanded", 3.0)

else
; Do Nothing

endif

GoToState("")

endevent


;Now to check if the player casts a Destruction spell Fire, Frost, or Shock.

Event OnMagicEffectApply(ObjectReference akCaster, MagicEffect akEffect)


GoToState("Busy")

if akCaster == Player && akEffect.HasKeyword(MagicDamageFire)
       Game.AdvanceSkill("Destruction", 3.0)
           Debug.Notification("")

elseif akCaster == Player && akEffect.HasKeyword(MagicDamageFrost)
       Game.AdvanceSkill("Destruction", 3.0)
           Debug.Notification("")

elseif akCaster == Player && akEffect.HasKeyword(MagicDamageShock)
       Game.AdvanceSkill("Destruction", 3.0)
           Debug.Notification("")

endif

GoToState("")

EndEvent
